<?php

namespace App\Policies;

use Illuminate\Auth\Access\Response;
use App\Models\OcrValidation;
use App\Models\User;

class OcrValidationPolicy
{
    /**
     * Determine whether the user can view any models.
     */
    public function viewAny(User $user): bool
    {
        return $user->checkPermissionTo('view-any OcrValidation');
    }

    /**
     * Determine whether the user can view the model.
     */
    public function view(User $user, OcrValidation $ocrvalidation): bool
    {
        return $user->checkPermissionTo('view OcrValidation');
    }

    /**
     * Determine whether the user can create models.
     */
    public function create(User $user): bool
    {
        return $user->checkPermissionTo('create OcrValidation');
    }

    /**
     * Determine whether the user can update the model.
     */
    public function update(User $user, OcrValidation $ocrvalidation): bool
    {
        return $user->checkPermissionTo('update OcrValidation');
    }

    /**
     * Determine whether the user can delete the model.
     */
    public function delete(User $user, OcrValidation $ocrvalidation): bool
    {
        return $user->checkPermissionTo('delete OcrValidation');
    }

    /**
     * Determine whether the user can delete any models.
     */
    public function deleteAny(User $user): bool
    {
        return $user->checkPermissionTo('delete-any OcrValidation');
    }

    /**
     * Determine whether the user can restore the model.
     */
    public function restore(User $user, OcrValidation $ocrvalidation): bool
    {
        return $user->checkPermissionTo('restore OcrValidation');
    }

    /**
     * Determine whether the user can restore any models.
     */
    public function restoreAny(User $user): bool
    {
        return $user->checkPermissionTo('restore-any OcrValidation');
    }

    /**
     * Determine whether the user can replicate the model.
     */
    public function replicate(User $user, OcrValidation $ocrvalidation): bool
    {
        return $user->checkPermissionTo('replicate OcrValidation');
    }

    /**
     * Determine whether the user can reorder the models.
     */
    public function reorder(User $user): bool
    {
        return $user->checkPermissionTo('reorder OcrValidation');
    }

    /**
     * Determine whether the user can permanently delete the model.
     */
    public function forceDelete(User $user, OcrValidation $ocrvalidation): bool
    {
        return $user->checkPermissionTo('force-delete OcrValidation');
    }

    /**
     * Determine whether the user can permanently delete any models.
     */
    public function forceDeleteAny(User $user): bool
    {
        return $user->checkPermissionTo('force-delete-any OcrValidation');
    }
}
